Bug 10114 - Dropbox (write-only-directory) case isn't handled correctly in pathname lookup.
Dropbox (write-only-directory) case isn't handled correctly in pathname lookup.
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-26 17:51 UTC by Jeremy Allison
Modified: 2013-09-02 07:41 UTC (History)
0 users

See Also:


Attachments
Patch (8.47 KB, patch)
2013-08-28 13:29 UTC, Volker Lendecke
jra: review+
Details
git-am backport of the 4.1/4.0 patch to 3.6.x. (8.29 KB, patch)
2013-08-28 22:40 UTC, Jeremy Allison
vl: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2013-08-26 17:51:07 UTC
The path walk code needs to understand the difference between lookup for create, and other lookups. Incorrect error messages are returned in the case where a directory has : -w- permissions.

Patches from Volker to follow.
Comment 1 Volker Lendecke 2013-08-28 13:29:46 UTC
Created attachment 9168 [details]
Patch

This would be a patchset for 4.1
Comment 2 Volker Lendecke 2013-08-28 14:02:48 UTC
(In reply to comment #1)
> Created attachment 9168 [details]
> Patch
> 
> This would be a patchset for 4.1

... which also applies to 4.0
Comment 3 Jeremy Allison 2013-08-28 16:59:25 UTC
Comment on attachment 9168 [details]
Patch

LGTM for 4.0.x, 4.1.0 !
Jeremy.
Comment 4 Jeremy Allison 2013-08-28 16:59:46 UTC
Re-assigning to Karolin for inclusion in 4.0.next, 4.1.0.

Jeremy.
Comment 5 Jeremy Allison 2013-08-28 22:40:07 UTC
Created attachment 9170 [details]
git-am backport of the 4.1/4.0 patch to 3.6.x.

Volker please review for 3.6.next.

Thanks !

Jeremy.
Comment 6 Jeremy Allison 2013-08-29 16:32:20 UTC
Thanks Volker. Karen please push to 3.6.next, 4.0.next, 4.1.0.

Cheers,

Jeremy.
Comment 7 Karolin Seeger 2013-08-30 08:05:53 UTC
Pushed to v3-6-test, autobuild-v4-0-test, autobuild-v4-1-test.
Comment 8 Karolin Seeger 2013-09-02 07:41:04 UTC
Pushed to v4-1-test and v4-0-test.
Closing out bug report.

Thanks!